open-vm-tools 10.1.5

Data Fields
RpcInData Struct Reference
GuestRPC functions

`#include <guestrpc.h>`

## Data Fields
const char * | name
const char * | args
size_t | argsSize
char * | result
size_t | resultLen
gboolean | freeResult
void * | appCtx
void * | clientData

## Detailed Description

Data structure passed to RPC callbacks.

## Field Documentation

## ◆ appCtx

void* RpcInData::appCtx

Application context.

## ◆ args

const char* RpcInData::args

RPC arguments. Either the raw argument data, or de-serialized XDR data in case xdrIn was provided in the registration data.

## ◆ argsSize

size_t RpcInData::argsSize

Size of raw argument data, in bytes.

## ◆ clientData

void* RpcInData::clientData

Client data specified in the registration data.

## ◆ freeResult

gboolean RpcInData::freeResult

Whether the RPC library should free the contents of the result field (using vm_free()).

## ◆ name

const char* RpcInData::name

RPC name.

## ◆ result

char* RpcInData::result

Data to be returned to the caller, or pointer to XDR structure if xdrOut was provided in the registration data.

## ◆ resultLen

size_t RpcInData::resultLen

Length in bytes of raw data being returned (ignored for XDR structures).

The documentation for this struct was generated from the following file:

- lib/include/vmware/tools/guestrpc.h